Skip to main content
PATCH
/
api
/
v1
/
readers
/
{id}
Update reader
curl --request PATCH \
  --url https://api.passentry.com/api/v1/readers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reader": {
    "id": "south-gate-3",
    "password": "Test789!",
    "mifareClassicNfcEnabled": true,
    "scanEnabled": false,
    "redeemEnabled": true,
    "qrEnabled": true
  }
}
'
import requests

url = "https://api.passentry.com/api/v1/readers/{id}"

payload = { "reader": {
"id": "south-gate-3",
"password": "Test789!",
"mifareClassicNfcEnabled": True,
"scanEnabled": False,
"redeemEnabled": True,
"qrEnabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reader: {
id: 'south-gate-3',
password: 'Test789!',
mifareClassicNfcEnabled: true,
scanEnabled: false,
redeemEnabled: true,
qrEnabled: true
}
})
};

fetch('https://api.passentry.com/api/v1/readers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "south-gate-3",
    "type": "reader",
    "attributes": {
      "name": "South Gate Reader",
      "readerType": "PassentryReader",
      "loggedIn": false,
      "qrEnabled": true,
      "mifareClassicNfcEnabled": true,
      "scanEnabled": false,
      "redeemEnabled": true,
      "addPointsEnabled": false,
      "ndefTagScanningEnabled": false,
      "lastSeenAt": "2020-03-13T13:00:00Z"
    }
  }
}
{
"errors": [
"<string>"
]
}
{
"errors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Reader ID

Body

application/json
reader
object

Response

successful

id
string

Identifier of the reader

Example:

"west_entrance_01"

type
string
Example:

"reader"

attributes
object